%if %{?rhel}%{!?rhel:0} <= 5
  %global _initddir  %{_initrddir}
%endif

Name: fetch-crl3
Version: 3.0.16
Release: 1%{?dist}
Summary: Downloads Certificate Revocation Lists

Group: Applications/System
License: ASL 2.0
URL: http://www.nikhef.nl/grid/gridwiki/index.php/FetchCRL3
Source: https://dist.eugridpma.info/distribution/util/fetch-crl3/fetch-crl-%{version}.tar.gz


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: openssl
Requires: wget

Requires(post): chkconfig
Requires(preun): chkconfig

%description
This tool and associated cron entry ensure that Certificate Revocation 
Lists (CRLs) are periodically retrieved from the web sites of the respective 
Certification Authorities.
It assumes that the installed CA files follow the hash.crl_url convention.

%prep
%setup -q -n fetch-crl-%{version}

# The perl script contains some modules inside of
# it. These end up being rpm required but are 
# not rpm provided. This is quite correct since they 
# are private to this script.
# Consequence we must filter the requires of the script.
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(CRL)/d' |\
sed -e '/perl(CRLWriter)/d' |\
sed -e '/perl(ConfigTiny)/d' |\
sed -e '/perl(FCLog)/d' |\
sed -e '/perl(OSSL)/d' |\
sed -e '/perl(TrustAnchor)/d' |\
sed -e '/perl(base64)/d'
EOF

%global __perl_requires %{_builddir}/fetch-crl-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_usr} ETC=$RPM_BUILD_ROOT%{_sysconfdir} CACHE=$RPM_BUILD_ROOT%{_var}/cache
mkdir -p $RPM_BUILD_ROOT%{_initddir}
install -p -m 755 $RPM_BUILD_ROOT%{_usr}/share/doc/fetch-crl-%{version}/fetch-crl-cron.init $RPM_BUILD_ROOT%{_initddir}/%{name}-cron
install -p -m 755 $RPM_BUILD_ROOT%{_usr}/share/doc/fetch-crl-%{version}/fetch-crl-boot.init $RPM_BUILD_ROOT%{_initddir}/%{name}-boot
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -p -m 644 $RPM_BUILD_ROOT%{_usr}/share/doc/fetch-crl-%{version}/fetch-crl-cron.cron $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}

# Remove some files that have been duplicated as docs.
rm $RPM_BUILD_ROOT%{_defaultdocdir}/fetch-crl-%{version}/fetch-crl-boot.init
rm $RPM_BUILD_ROOT%{_defaultdocdir}/fetch-crl-%{version}/fetch-crl-cron.cron
rm $RPM_BUILD_ROOT%{_defaultdocdir}/fetch-crl-%{version}/fetch-crl-cron.init

#Rename some files to support the suffix of 3 in this case.
mv $RPM_BUILD_ROOT%{_defaultdocdir}/fetch-crl-%{version} \
   $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT%{_sbindir}/fetch-crl $RPM_BUILD_ROOT%{_sbindir}/%{name}
mv $RPM_BUILD_ROOT%{_var}/cache/fetch-crl $RPM_BUILD_ROOT%{_var}/cache/%{name}
mv $RPM_BUILD_ROOT%{_sysconfdir}/fetch-crl.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
mv $RPM_BUILD_ROOT%{_mandir}/man8/fetch-crl.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8

# And now lots of seds to force the extension everywhere.
sed -i 's/fetch-crl/%{name}/g'  \
    $RPM_BUILD_ROOT%{_initddir}/%{name}-cron \
    $RPM_BUILD_ROOT%{_initddir}/%{name}-boot \
    $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name} \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf \
    $RPM_BUILD_ROOT%{_sbindir}/%{name} \
    $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8 \
    $RPM_BUILD_ROOT%{_mandir}/man8/fetch-crl3.8 \

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d


%post
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add %{name}-cron
/sbin/chkconfig --add %{name}-boot

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name}-cron stop >/dev/null 2>&1
    /sbin/service %{name}-boot stop  >/dev/null 2>&1
    /sbin/chkconfig --del %{name}-cron
    /sbin/chkconfig --del %{name}-boot
fi


%files
%defattr(-,root,root,-)
%{_sbindir}/%{name}
%{_sbindir}/clean-crl
%{_initddir}/%{name}-cron
%{_initddir}/%{name}-boot
%dir %{_var}/cache/%{name}
%dir %{_sysconfdir}/%{name}.d
%doc %{_mandir}/man8/%{name}.8.gz
%doc %{_mandir}/man8/clean-crl.8.gz
%doc %{_defaultdocdir}/%{name}-%{version}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/cron.d/%{name}

%changelog
* Fri May 1 2015 Steve Traylen <steve.traylen@cern.ch> - 3.0.16-1
- New upstream 3.0.16

* Sat Jul 23 2011 Steve Traylen <steve.traylen@cern.ch> - 3.0.11-1
- New upstream 3.0.11

* Tue Jun 28 2011 Steve Traylen <steve.traylen@cern.ch> - 3.0.7-1
- New upstream 3.0.7

* Sun Mar 20 2011 Steve Traylen <steve.traylen@cern.ch> - 3.0.6-1
- New upstream 3.0.6

* Sun Feb 13 2011 Steve Traylen <steve.traylen@cern.ch> - 3.0.5-1
- New upstream 3.0.5

* Thu Nov 11 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.4-1
- New upstream 3.0.4
- Add /etc/fetch-crl3.d directory since now supported.

* Thu Oct 14 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.3-2
- Adapt fetch-crl to be fetch-crl3 for coexistance  with
  fetch-crl v2 in EPEL4 and EPEL5.

* Thu Oct 14 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.3-1
- New upstream 3.0.3

* Mon Aug 16 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.0-2
- License changed from EU Datagrid to Apache 2 license.

* Mon Aug 16 2010 Steve Traylen <steve.traylen@cern.ch> - 3.0.0-1
- Add new /var/cache/fetch-crl directory package.
- Change homepage to new homepage.
- Filter out autogenerated requires that are actually internal.
- fetch-crl.cron and fetch-crl.sysconfig no longer created.
- Set new variable CACHE explicity.
- Remove fetch-crl-2.8.4-mktemp.patch, since upstream now.
- New upstream. 3.0.0-1

* Tue Apr 20 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.4-2
- Add fetch-crl-2.8.4-mktemp.patch. rhbz#407851, Jason Smith @ BNL.

* Mon Apr 5 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.4-1
- New upstream 2.8.4.
  Remove patch fetch-crl-syntax-randomwait
* Mon Apr 5 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.3-2
- Add patch fetch-crl-syntax-randomwait
  https://bugzilla.redhat.com/show_bug.cgi?id=579488
* Sun Mar 28 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.3-1
- New upstream 2.8.3
- Removed edg-fetch-crl-2.8.2-getopts.patch and 
  fetch-crl-2.6.6-selinux.patch since both now present in 2.8.3
* Sat Mar 27 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.2-2
- Add edg-fetch-crl-2.8.2-getopts.patch for rhbz#577387,
  Jason Smith.
- Add fetch-crl-2.6.6-selinux.patch for rhbz#577403
* Thu Mar 4 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.2-1
- New upstream source. 2.8.2
- Remove  randomwait.patch since now incoperated upstream.
* Mon Feb 22 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.1-4
- Correct URL again.
* Mon Feb 22 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.1-3
- Use consistant name macros throughout.
- Rename /etc/cron.d/fetch-crl.cron to /etc/cron.d/fetch-crl to
  be compliant with some cron implentations.
- Remove dupicate files created in doc directory.
* Thu Feb 11 2010 Steve Traylen <steve.traylen@cern.ch> - 2.8.1-2
- Add patch to introduce --randomwait option.
- Make setup stage quiet.
- Change license string from EU DataGrid to EU Datagrid
- First version  for Fedora/EPEL inclusion.

* Tue Sep 22 2009 David Groep <davidg@nikhef.nl>
Version 2.8.1 is more paranoid about the installed fetch-crl to catch OS faults
* Tue Sep 22 2009 David Groep <davidg@nikhef.nl>
Version 2.8.0 with new config file location, start-up scripts, and packaging
* Sun Jan 25 2009 David Groep <davidg@nikhef.nl>
Version 2.7.0 with new policies, download resiliancy, PATH support, etc
* Thu Oct 27 2005 David Groep <davidg@nikhef.nl>
Wget https downloads recognise our own trusted CA directory (by RomainW)
* Mon Feb 28 2005 David Groep <davidg@nikhef.nl>
Made into a relocatable RPM without the cronjob pre-installed
* Mon Dec  6 2004 David Groep <davidg@nikhef.nl>
Copied to EUGridPMA site
* Wed Jan 15 2003 Steve Traylen <s.m.traylen@rl.ac.uk>
Initial Build
